## r-cran-psychotree 0.15

=== DESCRIPTION ===
Package: psychotree
Title: Recursive Partitioning Based on Psychometric Models
Version: 0.15-4
Date: 2021-05-21
Authors@R: c(person(given = "Achim", family = "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766")),
             person(given = "Carolin", family = "Strobl", role = "aut", email = "Carolin.Strobl@psychologie.uzh.ch"),
             person(given = "Florian", family = "Wickelmaier", role = "aut"),
             person(given = "Basil", family = "Komboz", role = "aut"),
             person(given = "Julia", family = "Kopf", role = "aut"),
	     person(given = "Lennart", family = "Schneider", role = "ctb", email = "Lennart.Sch@web.de",
	            comment = c(ORCID = "0000-0003-4152-5308")))
Depends: R (>= 4.0.0), partykit (>= 0.8-4), psychotools (>= 0.4-0)
Suggests: stablelearner (>= 0.1-3), strucchange
Imports: graphics, grDevices, grid, stats, Formula
Description: Recursive partitioning based on psychometric models,
  employing the general MOB algorithm (from package partykit) to obtain
  Bradley-Terry trees, Rasch trees, rating scale and partial credit trees, and
  MPT trees.
License: GPL-2 | GPL-3
NeedsCompilation: no
Packaged: 2021-05-21 17:53:10 UTC; zeileis
Author: Achim Zeileis [aut, cre] (<https://orcid.org/0000-0003-0918-3766>),
  Carolin Strobl [aut],
  Florian Wickelmaier [aut],
  Basil Komboz [aut],
  Julia Kopf [aut],
  Lennart Schneider [ctb] (<https://orcid.org/0000-0003-4152-5308>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2021-05-21 18:30:02 UTC

## r-cran-psychotree 0.15-2

=== debian/changelog ===
r-cran-psychotree (0.15-2-1) unstable; urgency=medium

  * Initial release (closes: #926844)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Apr 2019 11:09:02 +0200

=== debian/control ===
Source: r-cran-psychotree
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-partykit,
               r-cran-psychotools,
               r-cran-formula
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
Homepage: https://cran.r-project.org/package=psychotree

Package: r-cran-psychotree
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R recursive partitioning based on psychometric models
 Recursive partitioning based on psychometric models, employing the general
 MOB algorithm (from package partykit) to obtain Bradley-Terry trees, Rasch
 trees, rating scale and partial credit trees, and MPT trees.

## r-cran-psychotree 0.15-3

=== debian/changelog ===
r-cran-psychotree (0.15-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Feb 2020 07:54:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-partykit,
                r-cran-psychotools,
                r-cran-formula
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
 Homepage: https://cran.r-project.org/package=psychotree

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-colorspace
Restrictions: allow-stderr

## r-cran-psychotree 0.15-4

=== debian/changelog ===
r-cran-psychotree (0.15-4-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/t/control: Add r-cran-stablelearner to
    test depends (fixes debci)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 13 Oct 2021 23:37:46 +0530

r-cran-psychotree (0.15-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 21:32:52 +0200

r-cran-psychotree (0.15-3-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 09:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-partykit,
                r-cran-psychotools,
                r-cran-formula
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
 Homepage: https://cran.r-project.org/package=psychotree
+Rules-Requires-Root: no
 
 Package: r-cran-psychotree
 Architecture: all

## r-cran-psychotree 0.16

=== DESCRIPTION ===
Package: psychotree
Title: Recursive Partitioning Based on Psychometric Models
Version: 0.16-0
Date: 2022-05-03
Authors@R: c(person(given = "Achim", family = "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org", comment = c(ORCID = "0000-0003-0918-3766")),
             person(given = "Carolin", family = "Strobl", role = "aut", email = "Carolin.Strobl@psychologie.uzh.ch"),
             person(given = "Florian", family = "Wickelmaier", role = "aut"),
             person(given = "Basil", family = "Komboz", role = "aut"),
             person(given = "Julia", family = "Kopf", role = "aut"),
             person(given = "Lennart", family = "Schneider", role = "aut", email = "Lennart.Sch@web.de", comment = c(ORCID = "0000-0003-4152-5308")),
             person(given = "David", family = "Dreifuss", role = "aut"), 
             person(given = "Rudolf", family = "Debelak", role = "aut", email = "rudolf.debelak@gmail.com", comment = c(ORCID = "0000-0001-8900-2106")))
Depends: R (>= 4.0.0), partykit (>= 1.2-9), psychotools (>= 0.7-1)
Suggests: stablelearner (>= 0.1-3), strucchange, tinytest, mirt
Imports: graphics, grDevices, grid, stats, Formula
Description: Recursive partitioning based on psychometric models,
  employing the general MOB algorithm (from package partykit) to obtain
  Bradley-Terry trees, Rasch trees, rating scale and partial credit trees, and
  MPT trees, trees for 1PL, 2PL, 3PL and 4PL models and generalized partial 
  credit models.
License: GPL-2 | GPL-3
NeedsCompilation: no
Packaged: 2022-05-03 12:28:06 UTC; zeileis
Author: Achim Zeileis [aut, cre] (<https://orcid.org/0000-0003-0918-3766>),
  Carolin Strobl [aut],
  Florian Wickelmaier [aut],
  Basil Komboz [aut],
  Julia Kopf [aut],
  Lennart Schneider [aut] (<https://orcid.org/0000-0003-4152-5308>),
  David Dreifuss [aut],
  Rudolf Debelak [aut] (<https://orcid.org/0000-0001-8900-2106>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2022-05-06 09:40:02 UTC

## r-cran-psychotree 0.16-0

=== debian/changelog ===
r-cran-psychotree (0.16-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16-0
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Add Versioned B-D and dep in acc with dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 May 2022 09:36:00 +0530

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-partykit,
-               r-cran-psychotools,
+               r-cran-psychotools (>= 0.7-1),
                r-cran-formula
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
 Homepage: https://cran.r-project.org/package=psychotree

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-colorspace, r-cran-stablelearner
Restrictions: allow-stderr

## r-cran-psychotree 0.16-1

=== debian/changelog ===
r-cran-psychotree (0.16-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 05 Feb 2025 08:43:22 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-partykit,
                r-cran-psychotools (>= 0.7-1),
                r-cran-formula
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
 Homepage: https://cran.r-project.org/package=psychotree

=== debian/tests/control ===
Tests: vignette
Depends: @,
         r-cran-stablelearner (>= 0.1-3),
        r-cran-strucchange,
        r-cran-tinytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/psychotree_([-\d.]*)\.tar\.gz

## r-cran-psychotree 0.16-2

=== debian/changelog ===
r-cran-psychotree (0.16-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-brush: add d/u/metadata (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Mar 2026 14:45:35 +0900

=== debian/control ===
Source: r-cran-psychotree
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-partykit,
 r-cran-psychotools,
 r-cran-formula,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-psychotree
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-psychotree.git
Homepage: https://cran.r-project.org/package=psychotree
Rules-Requires-Root: no

Package: r-cran-psychotree
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Recursive Partitioning Based on Psychometric Models
 Recursive partitioning based on psychometric models, employing the general MOB
 algorithm (from package partykit) to obtain Bradley-Terry trees, Rasch trees,
 rating scale and partial credit trees, and MPT trees, trees for 1PL, 2PL, 3PL
 and 4PL models and generalized partial credit models.

=== debian/tests/control ===
Tests: vignette
Restrictions: allow-stderr
Depends:
 @,
 r-cran-stablelearner (>= 0.1-3),
 r-cran-strucchange,
 r-cran-tinytest,
